Item Logo
Wms apiApi referenceInventory query api

Inventory LP Level Query

Inventory LP Level Query API

Inventory LP Level Query API allows users to search for inventory based on License Plate numbers. This article introduces the general Inventory LP Level Query API for easily understanding and applying this API.

Introduction

Inventory LP Level Query API provides detailed information about items stored under specific LPs in a warehouse, including item quantity, status and the storage locations associated with each LP. It is particularly useful for managing and tracking inventory in environments that use LPs for organization and identification. This enhances operational efficiency by enabling precise control and visibility over inventory, especially in complet warehouse management systems.

API Request

API: POST /edi/inventory/lp-level/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the inventory summary with the item info, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "head": [ "Customer", "Item ID", "Description", "Title", "Supplier", "LP", "Location", "Qty", "UOM", "Base Qty", "Base UOM", "Status", "Inbound Equipment Type", "Outbound Equipment Type", "Length", "Width", "Height", "Linear Unit", "Weight", "Weight Unit" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }